summaryrefslogtreecommitdiffstats
path: root/desktop/rclone-browser
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/rclone-browser')
-rw-r--r--desktop/rclone-browser/README30
-rw-r--r--desktop/rclone-browser/doinst.sh9
-rw-r--r--desktop/rclone-browser/rclone-browser.SlackBuild119
-rw-r--r--desktop/rclone-browser/rclone-browser.info10
-rw-r--r--desktop/rclone-browser/slack-desc19
5 files changed, 187 insertions, 0 deletions
diff --git a/desktop/rclone-browser/README b/desktop/rclone-browser/README
new file mode 100644
index 0000000000..3ac8211619
--- /dev/null
+++ b/desktop/rclone-browser/README
@@ -0,0 +1,30 @@
+Simple cross platform GUI for rclone command line tool.
+
+Allows to browse and modify any rclone remote, including encrypted ones
+Uses same configuration file as rclone, no extra configuration required
+Supports custom location and encryption for rclone.conf configuration
+file
+Simultaneously navigate multiple repositories in separate tabs
+Lists files hierarchically with file name, size and modify date
+All rclone commands are executed asynchronously, no freezing GUI
+File hierarchy is lazily cached in memory, for faster traversal of
+folders
+Allows to upload, download, create new folders, rename or delete files
+and folders
+Allows to calculate size of folder, export list of files and copy rclone
+command to clipboard
+Can process multiple upload or download jobs in background
+Drag & drop support for dragging files from local file explorer for
+uploading
+Streaming media files for playback in player like vlc or similar
+Mount and unmount folders on macOS, GNU/Linux and Windows (for Windows
+requires winfsp and for mac fuse for macOS)
+Optionally minimizes to tray, with notifications when upload/download
+finishes
+Supports portable mode (create .ini file next to executable with same
+name), rclone and rclone.conf path now can be relative to executable
+Supports drive-shared-with-me (Google Drive specific)
+For remotes supporting public link sharing has an option (right-click
+menu) to fetch it
+Supports tasks. Created jobs can be saved and run or edited later.
+Configurable dark mode for all systems
diff --git a/desktop/rclone-browser/doinst.sh b/desktop/rclone-browser/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/rclone-browser/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/rclone-browser/rclone-browser.SlackBuild b/desktop/rclone-browser/rclone-browser.SlackBuild
new file mode 100644
index 0000000000..41a10c0bb0
--- /dev/null
+++ b/desktop/rclone-browser/rclone-browser.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/bash
+
+# Slackware build script for rclone-browser
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=rclone-browser
+TARNAM=RcloneBrowser
+VERSION=${VERSION:-1.8.0.20221231}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+COMMIT=45bf7411839b0919c488a3e3a0a5272b50c9fc7b
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $TARNAM-$COMMIT
+tar xvf $CWD/$TARNAM-$COMMIT.tar.gz
+cd $TARNAM-$COMMIT
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -Wno-error=deprecated-declarations" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_CXX_COMPILER_LAUNCHER=ccache \
+ -DCMAKE_C_COMPILER_LAUNCHER=ccache \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md LICENSE README.md VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/rclone-browser/rclone-browser.info b/desktop/rclone-browser/rclone-browser.info
new file mode 100644
index 0000000000..bd27411d28
--- /dev/null
+++ b/desktop/rclone-browser/rclone-browser.info
@@ -0,0 +1,10 @@
+PRGNAM="rclone-browser"
+VERSION="1.8.0.20221231"
+HOMEPAGE="https://kapitainsky.github.io/RcloneBrowser/"
+DOWNLOAD="https://github.com/kapitainsky/RcloneBrowser/archive/45bf7411839b0919c488a3e3a0a5272b50c9fc7b/RcloneBrowser-45bf7411839b0919c488a3e3a0a5272b50c9fc7b.tar.gz"
+MD5SUM="2607eae75613381eede5326eea129510"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.rclone-browser_2023-12-05@lockywolf.net"
diff --git a/desktop/rclone-browser/slack-desc b/desktop/rclone-browser/slack-desc
new file mode 100644
index 0000000000..fa64be3607
--- /dev/null
+++ b/desktop/rclone-browser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rclone-browser: rclone-browser (GUI for rclone)
+rclone-browser:
+rclone-browser: Simple cross platform GUI for rclone command line tool.
+rclone-browser:
+rclone-browser:
+rclone-browser:
+rclone-browser:
+rclone-browser:
+rclone-browser:
+rclone-browser:
+rclone-browser: